


class TranslateOrder{
  String orderId;
  int createTime;
  int tLanguage;
  int scenes;
  String desc;
}

class TranslateHKMgr {
  static TranslateHKMgr _instance;
  factory TranslateHKMgr() => _getInstance();

  TranslateHKMgr._();
  static TranslateHKMgr _getInstance() {
    if (_instance == null) {
      _instance = TranslateHKMgr._();
    }
    return _instance;
  }

  TranslateOrder order; ///翻译官被指派的订单

  String orderId; ///用户发起的订单Id
  int waitNum=0;

  bool isUser=false; ///是用户或者翻译官




  int orderStatus=0;
  static const ORDER_STATUS_EMPTY=0; ///未创建订单
  static const ORDER_STATUS_WAITING=1;///等待翻译官

}
